Summary:	An X viewer for DVI files
Name:		xdvik
Version:	22.84.16
Release:	%mkrel 4
Url: 		http://xdvi.sourceforge.net/
# encodings.c is GPLv2+ and LGPL and MIT
# read-mapfile.c tfmload.c are from dvips
# remaining is MIT
License:        GPLv2+
Group: 		Publishing
Source0: 	http://puzzle.dl.sourceforge.net/sourceforge/xdvi/%{name}-%{version}.tar.gz
Source1: 	icons-xdvi.tar.bz2
# Fedora patch
# Fix handling of the 0 key. See:
# http://sourceforge.net/tracker/index.php?func=detail&aid=2067614&group_id=23164&atid=377580
# https://bugzilla.redhat.com/show_bug.cgi?id=470942
# Fixed upstream post 22.84.14 ?
Patch0:		xdvik-22.84.14-zerofix.patch
Patch1:		xdvik-22.84.14-fix-str-fmt.patch
Obsoletes:      tetex-xdvi <= 3.1
Provides:       xdvi = %{version}-%{release}
Obsoletes:      xdvi <= 22.86
Obsoletes:      texlive-xdvi <= 2007
BuildRequires: 	libt1lib >= 5.0.2
BuildRequires: 	libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxpm-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:  bison

%description
Xdvi allows you to preview the TeX text formatting system's output .dvi
files on an X Window System.

It is based on the regular (non-k) xdvi of the same version number, and is
part of the texk project (deployed e.g. in teTeX).

%prep
%setup -q
%patch0 -p1 -b .zerofix
%patch1 -p0 -b .str

%build
%configure2_5x --with-system-t1lib
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall texmf=%{buildroot}%_datadir/texmf

rm -fr %{buildroot}%{_datadir}/texmf

mkdir -p %{buildroot}%{_iconsdir}

tar xjvf %SOURCE1 -C %{buildroot}%{_iconsdir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-%{name}.desktop << EOF
[Desktop Entry]
Name=XDvi
Comment=DVI files viewer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;Publishing;Viewer;
MimeType=application/x-dvi;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES README_maintainer TODO release-tetex-src.txt
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/applications/%_real_vendor-%{name}.desktop
%{_iconsdir}/dvi.png
%{_liconsdir}/dvi.png
%{_miconsdir}/dvi.png


%changelog

* Thu Sep 29 2011 fwang <fwang> 22.84.16-4.mga2
+ Revision: 150248
- tighten br

* Mon Apr 11 2011 dmorgan <dmorgan> 22.84.16-3.mga1
+ Revision: 83079
- Add obsoletes to fix upgrade
- Fix desktop file names

* Wed Mar 23 2011 nanardon <nanardon> 22.84.16-2.mga1
+ Revision: 75810
- mdv cleanup
- imported package xdvik

